### Method

# Gio DBusServer get_guid

since: 2.26

#### Declaration

    const gchar*
    g_dbus_server_get_guid (
      GDBusServer* server
    )

#### Description

Gets the GUID for `server`, as provided to g_dbus_server_new_sync().

Available since: 2.26

Gets property | `Gio.DBusServer:guid`

#### Return value

Type: `const gchar*`

A D-Bus GUID. Do not free this string, it is owned by `server`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.